#ifndef USB_H
#define USB_H

#include "skiller.h"
#include <libusb-1.0/libusb.h>

#define SK_VID 0x0C45
#define SK_PID 0x8513

#define SK_PORT_STATE 0x82
#define SK_PORT_HID   0x81

#define SK_INTERFACE_HID     0
#define SK_INTERFACE_CONTROL 1

#define SK_CONFIGURATION 0x0204

libusb_device* skillerctl_find_device(libusb_device **devices, size_t count);

void skillerctl_send_command(libusb_device_handle *handle, skillerctl_packet_t *packet);

#endif /* USB_H */

